Bug 13710 - unable to use optional Ant tasks
unable to use optional Ant tasks
Status: CLOSED INVALID
Product: projects
Classification: Unclassified
Component: Ant
3.x
PC Windows 3.1/NT
: P1 (vote)
: 3.x
Assigned To: Jesse Glick
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-18 20:20 UTC by Chris Nelson
Modified: 2003-06-30 14:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Nelson 2001-07-18 20:20:46 UTC
When I try to use an optional task such as junit, I get a "taskdef not found" 
message from ant.  I have tried putting ant-optional.jar in my netbeans/lib/ext 
director.  This task works when I use it outside of netbeans, so it appears 
that this is a classpath error of some sort.  I even tried explicitly adding a 
taskdef element to my build.xml file with a classpath defined and it still 
didn't work.
Comment 1 Jesse Glick 2001-07-23 10:15:41 UTC
Please read the online help. Do not move ant-optional.jar; place
junit.jar in netbeans/lib/ext/ and restart and it should work.
Comment 2 Quality Engineering 2003-06-30 14:44:16 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.

Comment 3 Quality Engineering 2003-06-30 14:47:18 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.



By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo